/* GGL - GPUL Game Library
 * Copyright (C) 1998 G.P.U.L. (Group of programmers and users of Linux)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GGLVERTEX_H__
#define __GGLVERTEX_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef struct _GglVertex GglVertex;

struct _GglVertex{
  int x, y;       // Coordinates
  int s, t;       // Texel (0-65535)
  int r, g, b, a; // Color (0-65535)
  int z;          // Depth
};

#ifdef __cplusplus
      }
#endif /* __cplusplus */

#endif /* __GGLVERTEX_H__ */

