/* GGL - GPUL Game Library
 * Copyright (C) 1998 G.P.U.L. (Group of programmers and users of Linux)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <ggl/gglfiller.h>

void ggl_filler_finalize(GglFiller *filler)
{
}

void ggl_filler_enable(GglFiller *filler, Ggl3DProperty property)
{
  filler->enable(filler,property);
}

void ggl_filler_disable(GglFiller *filler, Ggl3DProperty property)
{
  filler->disable(filler,property);
}

void ggl_filler_fill_triangle(GglFiller *filler, GglVertex *v1, GglVertex *v2, GglVertex *v3)
{
  filler->fill_triangle(filler,v1,v2,v3);
}
